#include "msp430.hpp"

instruc_t Instructions[] = {
{ "",           0                                       },      // Unknown Operation
{ "add",        CF_USE1|CF_USE2|CF_CHG2                 },      //    
{ "addc",       CF_USE1|CF_USE2|CF_CHG2                 },      //       
{ "and",        CF_USE1|CF_USE2|CF_CHG2                 },      //  Ȼ   
{ "bic",        CF_USE1|CF_USE2|CF_CHG2                 },      //    
{ "bis",        CF_USE1|CF_USE2|CF_CHG2                 },      //    
{ "bit",        CF_USE1|CF_USE2                         },      //    
{ "cmp",        CF_USE1|CF_USE2                         },      //    
{ "dadd",       CF_USE1|CF_USE2|CF_CHG2                 },      //        
{ "mov",        CF_USE1|CF_USE2|CF_CHG2                 },      //    
{ "sub",        CF_USE1|CF_USE2|CF_CHG2                 },      //    
{ "subc",       CF_USE1|CF_USE2|CF_CHG2                 },      //    not(C)  
{ "xor",        CF_USE1|CF_USE2|CF_CHG2                 },      //  Ȼ   

{ "rrc",        CF_USE2|CF_CHG2                         },      //    
{ "rra",        CF_USE2|CF_CHG2                         },      //   
{ "push",       CF_USE2                                 },      //    
{ "swpb",       CF_USE2|CF_CHG2                         },      //  
{ "call",       CF_USE2|CF_CALL                         },      //  
{ "reti",       CF_STOP                                 },      //   
{ "sxt",        CF_USE2|CF_CHG2                         },      //  
{ "jeq",        CF_USE2                                 },      // ,   /   Z 
{ "jne",        CF_USE2                                 },      // ,   ,   Z  
{ "jc",         CF_USE2                                 },      // ,    /      
{ "jnc",        CF_USE2                                 },      // ,     /   
{ "jn",         CF_USE2                                 },      // ,  N 
{ "jge",        CF_USE2                                 },      // ,    
{ "jl",         CF_USE2                                 },      // ,  
{ "jmp",        CF_USE2|CF_STOP|CF_JUMP                 },      // 

{ "adc",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_ADC,
{ "dadc",       CF_USE2|CF_CHG2                         },      // MSP430_EMU_DADC,
{ "dec",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_DEC,
{ "decd",       CF_USE2|CF_CHG2                         },      // MSP430_EMU_DECD,
{ "inc",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_INC,
{ "incd",       CF_USE2|CF_CHG2                         },      // MSP430_EMU_INCD,
{ "sbc",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_SBC,
{ "inv",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_INV,
{ "rla",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_RLA,
{ "rlc",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_RLC,
{ "clr",        CF_USE2|CF_CHG2                         },      // MSP430_EMU_CLR,
{ "clrc",       0                                       },      // MSP430_EMU_CLRC,
{ "clrn",       0                                       },      // MSP430_EMU_CLRN,
{ "clrz",       0                                       },      // MSP430_EMU_CLRZ,
{ "pop",        CF_CHG2                                 },      // MSP430_EMU_POP,
{ "setc",       0                                       },      // MSP430_EMU_SETC,
{ "setn",       0                                       },      // MSP430_EMU_SETN,
{ "setz",       0                                       },      // MSP430_EMU_SETZ,
{ "tst",        CF_USE2                                 },      // MSP430_EMU_TST,
{ "br",         CF_USE2|CF_STOP|CF_JUMP                 },      // MSP430_EMU_BR,
{ "dint",       0                                       },      // MSP430_EMU_DINT,
{ "eint",       0                                       },      // MSP430_EMU_EINT,
{ "nop",        0                                       },      // MSP430_EMU_NOP,
{ "ret",        CF_STOP                                 }       // MSP430_EMU_RET,
};
