#ifndef __INSTRS_HPP
#define __INSTRS_HPP

extern instruc_t Instructions[];

enum nameNum {
	
	MSP430_null = 0,  // Unknown Operation 
	MSP430_ADD,       //    
	MSP430_ADDC,      //       
	MSP430_AND,       //  Ȼ   
	MSP430_BIC,       //    
	MSP430_BIS,       //    
	MSP430_BIT,       //    
	MSP430_CMP,       //    
	MSP430_DADD,      //        
	MSP430_MOV,       //    
	MSP430_SUB,       //    
	MSP430_SUBC,      //    not(C)  
	MSP430_XOR,       //  Ȼ   
		
	MSP430_RRC,       //    
	MSP430_RRA,       //   
	MSP430_PUSH,      //    
	MSP430_SWPB,      //  
	MSP430_CALL,      //  
	MSP430_RETI,      //   
	MSP430_SXT,       //  
	MSP430_JEQ,       // ,   /   Z 
	MSP430_JNE,       // ,   ,   Z  
	MSP430_JC,        // ,    /      
	MSP430_JNC,       // ,     /   
	MSP430_JN,        // ,  N 
	MSP430_JGE,       // ,    
	MSP430_JL,        // ,  
	MSP430_JMP,       // 
		
	// Emulated instruction
	MSP430_EMU_ADC,
	MSP430_EMU_DADC,
	MSP430_EMU_DEC,
	MSP430_EMU_DECD,
	MSP430_EMU_INC,
	MSP430_EMU_INCD,
	MSP430_EMU_SBC,
	MSP430_EMU_INV,
	MSP430_EMU_RLA,
	MSP430_EMU_RLC,
	MSP430_EMU_CLR,
	MSP430_EMU_CLRC,
	MSP430_EMU_CLRN,
	MSP430_EMU_CLRZ,
	MSP430_EMU_POP,
	MSP430_EMU_SETC,
	MSP430_EMU_SETN,
	MSP430_EMU_SETZ,
	MSP430_EMU_TST,
	MSP430_EMU_BR,
	MSP430_EMU_DINT,
	MSP430_EMU_EINT,
	MSP430_EMU_NOP,
	MSP430_EMU_RET,
	
	MSP430_last,
};

#endif

